-- The default rotations generator for MONKS.
local monkRotationsGenerator = function ()
	local rotation = {
		[RotationBuilderUtils:localize("defaultRotation/monk/brewmaster")] = {
			["ActionList"] = {
				[RotationBuilderUtils:localize("defaultRotation/monk/invoke_xuen_the_white_tiger")] = {
					["v_gcdspell"] = "115921",
					["v_checkothercdvalue"] = "<3",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_actionicon"] = "123904",
					["v_spellname"] = "123904",
					["b_rangecheck"] = true,
					["v_keybind"] = "<keybind>",
					["v_durationstartedtime"] = 0,
					["v_checkothercdname"] = "123904",
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/tiger_palm")] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "100787",
					["v_actionicon"] = "100787",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "115921",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/summon_black_ox_statue")] = {
					["v_p_needbuff"] = "_126119",
					["b_p_needbuff"] = true,
					["v_gcdspell"] = "115921",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "115315",
					["v_keybind"] = "<keybind>",
					["v_actionicon"] = "115315",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/tiger_palm_buffs")] = {
					["v_p_needbuff"] = "_125359^3&_118636^3",
					["b_p_needbuff"] = true,
					["v_gcdspell"] = "115921",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "100787",
					["v_keybind"] = "<keybind>",
					["v_actionicon"] = "100787",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/stance_of_the_sturdy_ox")] = {
					["v_p_notstance"] = "1",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "115069",
					["b_p_notstance"] = true,
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "115921",
					["v_actionicon"] = "115069",
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/expel_harm")] = {
					["v_keybind"] = "<keybind>",
					["v_togglename"] = "Toggle 1",
					["v_gcdspell"] = "115921",
					["v_durationstartedtime"] = 0,
					["b_t_dr"] = true,
					["v_p_hp"] = "<80%",
					["v_p_unitpowertype"] = "3",
					["v_spellname"] = "115072",
					["v_actionicon"] = "115072",
					["b_p_hp"] = true,
					["v_p_unitpower"] = ">=40",
					["b_p_unitpower"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/jab")] = {
					["v_gcdspell"] = "115921",
					["v_actionicon"] = "108557",
					["b_p_unitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "3",
					["v_spellname"] = "108557",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=40",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/rushing_jade_wind")] = {
					["b_t_dr"] = true,
					["v_gcdspell"] = "115921",
					["v_p_unitpowertype"] = "12",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "116847",
					["b_p_unitpower"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=2",
					["v_actionicon"] = "116847",
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/blackout_kick")] = {
					["v_p_needbuff"] = "115307^1",
					["b_p_needbuff"] = true,
					["v_gcdspell"] = "115921",
					["v_actionicon"] = "100784",
					["v_p_unitpowertype"] = "12",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "100784",
					["b_p_unitpower"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=2",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/keg_smash")] = {
					["b_t_dr"] = true,
					["v_gcdspell"] = "115921",
					["b_p_unitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "12",
					["v_spellname"] = "121253",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<=2",
					["v_actionicon"] = "121253",
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/guard")] = {
					["v_p_havebuff"] = "_118636#3",
					["v_gcdspell"] = "115921",
					["v_actionicon"] = "115295",
					["b_p_havebuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "115295",
					["v_p_unitpowertype"] = "12",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=2",
					["b_p_unitpower"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/fortifying_brew")] = {
					["v_p_hp"] = "<20%",
					["v_gcdspell"] = "115921",
					["b_p_hp"] = true,
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_actionicon"] = "115203",
					["v_spellname"] = "115203",
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "<3",
					["v_durationstartedtime"] = 0,
					["v_checkothercdname"] = "115203",
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/legacy_of_the_emperor")] = {
					["v_p_needbuff"] = "1126||20217||117666||90363",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "115921",
					["b_p_needbuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "115921",
					["v_actionicon"] = "115921",
				},
			},
			["SortedActions"] = {
				RotationBuilderUtils:localize("defaultRotation/monk/stance_of_the_sturdy_ox"), -- [1]
				RotationBuilderUtils:localize("defaultRotation/monk/legacy_of_the_emperor"), -- [2]
				RotationBuilderUtils:localize("defaultRotation/monk/fortifying_brew"), -- [3]
				RotationBuilderUtils:localize("defaultRotation/monk/summon_black_ox_statue"), -- [4]
				RotationBuilderUtils:localize("defaultRotation/monk/invoke_xuen_the_white_tiger"), -- [5]
				RotationBuilderUtils:localize("defaultRotation/monk/guard"), -- [6]
				RotationBuilderUtils:localize("defaultRotation/monk/keg_smash"), -- [7]
				RotationBuilderUtils:localize("defaultRotation/monk/tiger_palm_buffs"), -- [8]
				RotationBuilderUtils:localize("defaultRotation/monk/rushing_jade_wind"), -- [9]
				RotationBuilderUtils:localize("defaultRotation/monk/blackout_kick"), -- [10]
				RotationBuilderUtils:localize("defaultRotation/monk/expel_harm"), -- [11]
				RotationBuilderUtils:localize("defaultRotation/monk/jab"), -- [12]
				RotationBuilderUtils:localize("defaultRotation/monk/tiger_palm"), -- [13]
			},
			["keybind"] = "<keybind>",
		},
		[RotationBuilderUtils:localize("defaultRotation/monk/windwalker")] = {
			["ActionList"] = {
				[RotationBuilderUtils:localize("defaultRotation/monk/invoke_xuen_the_white_tiger")] = {
					["v_gcdspell"] = "115921",
					["v_actionicon"] = "123904",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "123904",
					["v_checkothercdvalue"] = "<3",
					["v_keybind"] = "<keybind>",
					["b_rangecheck"] = true,
					["v_checkothercdname"] = "123904",
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/tiger_palm")] = {
					["v_p_needbuff"] = "125359^5",
					["b_p_needbuff"] = true,
					["v_gcdspell"] = "115921",
					["v_actionicon"] = "100787",
					["v_p_unitpowertype"] = "12",
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "100787",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=2",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/tigereye_brew")] = {
					["v_actionicon"] = "116740",
					["v_togglename"] = "Toggle 1",
					["b_p_havebuff"] = true,
					["v_spellname"] = "116740",
					["v_p_havebuff"] = "125195#10",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "115921",
					["v_durationstartedtime"] = 0,
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/energizing_brew")] = {
					["v_gunitpowertype"] = "3",
					["b_gunitpower"] = true,
					["v_gcdspell"] = "115921",
					["b_p_unitpower"] = true,
					["v_p_unitpower"] = "<20",
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "3",
					["v_spellname"] = "115288",
					["v_actionicon"] = "115288",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "60",
					["v_durationstartedtime"] = 0,
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/fists_of_fury")] = {
					["v_gcdspell"] = "115921",
					["v_durationstartedtime"] = 0,
					["v_actionicon"] = "113656",
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "113656",
					["v_p_unitpowertype"] = "12",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=3",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/legacy_of_the_white_tiger")] = {
					["v_p_needbuff"] = "24932||61316||1459||116781||97229||24604||90309||126373||126309",
					["b_p_needbuff"] = true,
					["v_gcdspell"] = "115921",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "116781",
					["v_actionicon"] = "116781",
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "1126||20217||117666||90363",
					["b_p_havebuff"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/expel_harm")] = {
					["v_actionicon"] = "115072",
					["v_keybind"] = "<keybind>",
					["v_p_hp"] = "<90%",
					["v_gunitpowertype"] = "12",
					["v_p_unitpower"] = ">=40",
					["v_gcdspell"] = "115921",
					["v_durationstartedtime"] = 0,
					["v_p_unitpowertype"] = "3",
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "115072",
					["b_gunitpower"] = true,
					["b_p_hp"] = true,
					["v_gunitpower"] = "2",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/jab")] = {
					["b_gunitpower"] = true,
					["v_gunitpowertype"] = "12",
					["v_p_unitpower"] = ">=40",
					["v_gcdspell"] = "115921",
					["v_actionicon"] = "100780",
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "100780",
					["v_p_unitpowertype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "2",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/tiger_palm_combo_breaker")] = {
					["v_p_needbuff"] = "125359^5",
					["b_p_needbuff"] = true,
					["v_gcdspell"] = "115921",
					["v_actionicon"] = "100787",
					["v_togglename"] = "Toggle 1",
					["b_p_havebuff"] = true,
					["v_spellname"] = "100787",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "115636",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/blackout_kick")] = {
					["v_gcdspell"] = "115921",
					["v_durationstartedtime"] = 0,
					["v_actionicon"] = "700784",
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "100784",
					["v_p_unitpowertype"] = "12",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=3",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/legacy_of_the_emperor")] = {
					["v_p_needbuff"] = "1126||20217||117666||90363",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "115921",
					["b_p_needbuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "115921",
					["v_actionicon"] = "115921",
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/rising_sun_kick")] = {
					["v_gcdspell"] = "115921",
					["v_actionicon"] = "107428",
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "107428",
					["v_p_unitpowertype"] = "12",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=2",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/blackout_kick_combo_breaker")] = {
					["v_gcdspell"] = "115921",
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["b_p_havebuff"] = true,
					["v_spellname"] = "100784",
					["v_actionicon"] = "700784",
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "115636",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/monk/stance_of_the_fierce_tiger")] = {
					["v_p_notstance"] = "2",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "103985",
					["b_p_notstance"] = true,
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "115921",
					["v_actionicon"] = "103985",
				},
			},
			["SortedActions"] = {
				RotationBuilderUtils:localize("defaultRotation/monk/stance_of_the_fierce_tiger"), -- [1]
				RotationBuilderUtils:localize("defaultRotation/monk/legacy_of_the_emperor"), -- [2]
				RotationBuilderUtils:localize("defaultRotation/monk/legacy_of_the_white_tiger"), -- [3]
				RotationBuilderUtils:localize("defaultRotation/monk/invoke_xuen_the_white_tiger"), -- [4]
				RotationBuilderUtils:localize("defaultRotation/monk/energizing_brew"), -- [5]
				RotationBuilderUtils:localize("defaultRotation/monk/tigereye_brew"), -- [6]
				RotationBuilderUtils:localize("defaultRotation/monk/rising_sun_kick"), -- [7]
				RotationBuilderUtils:localize("defaultRotation/monk/tiger_palm"), -- [8]
				RotationBuilderUtils:localize("defaultRotation/monk/fists_of_fury"), -- [9]
				RotationBuilderUtils:localize("defaultRotation/monk/blackout_kick"), -- [10]
				RotationBuilderUtils:localize("defaultRotation/monk/tiger_palm_combo_breaker"), -- [11]
				RotationBuilderUtils:localize("defaultRotation/monk/blackout_kick_combo_breaker"), -- [12]
				RotationBuilderUtils:localize("defaultRotation/monk/expel_harm"), -- [13]
				RotationBuilderUtils:localize("defaultRotation/monk/jab"), -- [14]
			},
			["keybind"] = "<keybind>",
		},
	}

	-- Restore the true state of the saved data.
	--	return RotationBuilder:restoreTable({}, rotation);
	return rotation;
end

RotationBuilder:addDefaultRotationsGenerator("MONK", monkRotationsGenerator);